Bug 111 - multiline env torque 2.5.4
: multiline env torque 2.5.4
Status: RESOLVED FIXED
Product: TORQUE
pbs_server
: 2.5.x
: PC Linux
: P5 normal
Assigned To: David Beer
:
:
:
  Show dependency treegraph
 
Reported: 2011-02-09 07:47 MST by kaizaad
Modified: 2011-02-28 14:12 MST (History)
2 users (show)

See Also:


Attachments
Fix for encode_arst (337 bytes, patch)
2011-02-28 14:11 MST, Ken Nielson
Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description kaizaad 2011-02-09 07:47:58 MST
Seemed to have stumbled onto an issue with torque 2.5.4 and multiline
environment variables with bash:

[kaizaad@orc-login1 ~]$ printenv module
() {  eval `/usr/bin/modulecmd bash $*`
}

[kaizaad@orc-login1 ~]$ qsub -q test -I -V
qsub: waiting for job 44972.orc-admin2.orca.sharcnet to start
qsub: job 44972.orc-admin2.orca.sharcnet ready

-bash: module: line 1: syntax error: unexpected end of file
-bash: error importing function definition for `module'

Doesn't seem to be something specific to Environment Modules:

[kaizaad@orc-login1 ~]$ unset module
[kaizaad@orc-login1 ~]$ myfunc() { echo 'hello word'; }
[kaizaad@orc-login1 ~]$ export -f myfunc
[kaizaad@orc-login1 ~]$ printenv myfunc
() {  echo 'hello word'
}

[kaizaad@orc-login1 ~]$ qsub -q test -I -V
qsub: waiting for job 44973.orc-admin2.orca.sharcnet to start
qsub: job 44973.orc-admin2.orca.sharcnet ready

-bash: myfunc: line 1: syntax error: unexpected end of file
-bash: error importing function definition for `myfunc'


I tried this with a pbs_server version 2.4.7 and it works fine.

thanks
-k
Comment 1 kaizaad 2011-02-23 14:22:19 MST
Just wondering if anybody had a chance to look at this.

thanks
-k
Comment 2 Ken Nielson 2011-02-24 09:19:37 MST
(In reply to comment #1)
> Just wondering if anybody had a chance to look at this.
> 
> thanks
> -k

I am looking at it right now.

Ken Nielson
Comment 3 Ken Nielson 2011-02-28 14:11:43 MST
Created an attachment (id=73) [details]
Fix for encode_arst
Comment 4 Ken Nielson 2011-02-28 14:12:20 MST
Fixed and will be part of 2.5.5.

See attached patch.